<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

    <v-row dense align="center">
      <v-col cols="9" align="left">
        {{message}}
      </v-col>
      <v-col cols="3" align="center">
        <v-text-field
          :label="M.FILTER"
          v-model="filterkey"
          clearable
        >
        </v-text-field>
      </v-col>
    </v-row>

</template>

<script>

import { MESSAGES } from "./messages";

export default {

  name: 'Filterbox',

  props: {
    itemsName: {
      type: Array,
      default: function() {return []}
    },
    filteredSize: {
      type: Number,
      default: 0
    }
  },
  
  data: () => ({
    M:MESSAGES,
    filterkey: ""
  }),  
  
  watch: {
    filterkey: {
      handler: function() {
        this.$emit("changed", {key:this.filterkey});      
      }
    }
  },
  
  computed: {
    message() {
    
      var prefix;
      var suffix;
      
      if(this.filteredSize==0)
        prefix = "No " + this.itemsName[1];
      else if(this.filteredSize==1)
        prefix = this.filteredSize + " " + this.itemsName[0];
      else
        prefix = this.filteredSize + " " + this.itemsName[1];
        
      if(this.filterkey)
        suffix = " matching '" + this.filterkey + "'";
      else
        suffix = " available";
        
      return prefix+suffix;
    }
  }
  
  
};

</script>
